Models/MaDesignation.cs
//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class MaDesignation
    {
        public MaDesignation()
        {
            this.Users = new HashSet<User>();
        }

        public int Id { get; set; }


        [StringLength(50)]
        [Required(ErrorMessage = "Designation is required")]
        public string Designation { get; set; }

        [Display(Name = "Enter Date")]
        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Cdate { get; set; }

        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {

                if (_Status == true)
                {

                    return true;
                }
                else
                {

                    return false;
                }

            }
            set
            {

                _Status = value;
            }
        }


        public virtual ICollection<User> Users { get; set; }
    }
}

Controllers/MaDesignationController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SSCMvc.Models;
using SSCMvc.Webutil;

namespace SSCMvc.Controllers
{
    [Authorize]
    public class MaDesignationController : Controller
    {
        private SSCWebDBEntities1 db = new SSCWebDBEntities1();

        //
        // GET: /MaDesignation/

        public ActionResult Index()
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Designation, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            ViewBag.TotalCount = db.MaDesignations.Count();
            return View(db.MaDesignations.OrderByDescending(z => z.Id).ToList());
        }

        //
        // GET: /MaDesignation/Details/5

        public ActionResult Details(int id = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Designation, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            MaDesignation madesignation = db.MaDesignations.Find(id);
            if (madesignation == null)
            {
                return HttpNotFound();
            }
            return View(madesignation);
        }

        //
        // GET: /MaDesignation/Create

        public ActionResult Create()
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Designation, UserAction.Add);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            return View();
        }

        //
        // POST: /MaDesignation/Create

        [HttpPost]
        public ActionResult Create(MaDesignation madesignation)
        {
            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Designation, UserAction.Add);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }
            if (ModelState.IsValid)
            {
                madesignation.Status = true;
                madesignation.Cdate = DateTime.Now.AddMinutes(StaticLogic.TimeDifference).Date;
                db.MaDesignations.Add(madesignation);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(madesignation);
        }

        //
        // GET: /MaDesignation/Edit/5

        public ActionResult Edit(int id)
        {

            try
            {
                int roleid = StaticLogic.RoleId();

                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Designation, UserAction.Edit);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }


            MaDesignation madesignation = db.MaDesignations.Find(id);


            return View(madesignation);
        }

        //
        // POST: /MaDesignation/Edit/5

        [HttpPost]
        public ActionResult Edit(MaDesignation madesignation)
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Designation, UserAction.Edit);
                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }
            }
            catch (Exception)
            {
            }
            if (ModelState.IsValid)
            {
                madesignation.Status = true;
                db.Entry(madesignation).State = System.Data.Entity.EntityState.Modified;
                //madesignation.Cdate = DateTime.Now.Date;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(madesignation);
        }


        //GET: /MaDesignation/Delete/5

        [AcceptVerbs(HttpVerbs.Post)]

        public ActionResult Delete(int id)
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.Designation, UserAction.Delete);
                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }
            }
            catch (Exception)
            {
            }
            try
            {
                MaDesignation mabdesig = db.MaDesignations.Find(id);
                db.MaDesignations.Remove(mabdesig);
                db.SaveChanges();
                return Content(Boolean.TrueString);
            }
            catch (Exception ex)
            {
                return JavaScript("errormessage();");
            }
        }




        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

Views/MaDesignation/Create.cshtml
@model SSCMvc.Models.MaDesignation

@{
    ViewBag.Title = "Create MaDesignation";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#btnCancel").click(function () {
                window.location.href = "/MaDesignation/Index";
            });
        });
    </script>
}

@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)     
    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Create Designation</h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index","MaDesignation") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" />

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.Designation)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>


                                    </td>
                                    <td>@Html.EditorFor(model => model.Designation)
                                        @Html.ValidationMessageFor(model => model.Designation)</td>
                                </tr>

                            @*    <tr>
                                    <td>
                                        @Html.LabelFor(model => model.Status)

                                    </td>
                                    <td>
                                        @Html.CheckBoxFor(model => model.Status, new { @checked = true })
                                        @Html.ValidationMessageFor(model => model.Status)

                                    </td>
                                </tr>*@

                            </table>

                        </form>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>New Password</label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">Update</button>
                            </div>
                        </form>
                    </div>
                </div>

            </div>

            <div class="modal small hide fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 id="myModalLabel">Delete Confirmation</h3>
                </div>
                <div class="modal-body">

                    <p class="error-text"><i class="icon-warning-sign modal-icon"></i>Are you sure you want to delete the user?</p>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal" aria-hidden="true">Cancel</button>
                    <button class="btn btn-danger" data-dismiss="modal">Delete</button>
                </div>
            </div>



            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>


        </div>
    </div>
    
}

<div>
</div>

Views/MaDesignation/Delete.cshtml
@model SSCMvc.Models.MaDesignation

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<fieldset>
    <legend>MaDesignation</legend>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Designation)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Designation)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Cdate)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Cdate)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Status)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Status)
    </div>
</fieldset>
@using (Html.BeginForm()) {
    <p>
        <input type="submit" value="Delete" /> |
        @Html.ActionLink("Back to List", "Index")
    </p>
}

Views/MaDesignation/Details.cshtml
@model SSCMvc.Models.MaDesignation

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}




<div class="header">
    <div class="stats">
    </div>

    <h1 class="page-title">Designation Details</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index","MaDesignation") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>

<table align="center" style="width: 500px">
    <tr>
        <td style="width: 100%">
            <fieldset>

                <legend>Designation</legend>

                <table style="width: 200px" class="table_style">
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Designation)</td>
                        <td>@Html.DisplayFor(model => model.Designation)</td>
                    </tr>

                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Cdate)</td>
                        <td>
                        @{string cdate = String.Format("{0:dd MMM,yyyy}", Model.Cdate);}
                        @cdate</td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Status)</td>
                        <td>@Html.DisplayFor(model => model.Status)</td>
                    </tr>
                    <tr>
                        <td></td>

                    </tr>
                </table>

            </fieldset>

            <div>

                @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    
                        @Html.ActionLink("Back to List", "Index")
            </div>
        </td>
    </tr>


</table>

Views/MaDesignation/Edit.cshtml
@model SSCMvc.Models.MaDesignation

@{
    ViewBag.Title = "Edit MaDesignation";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {

            $("#btnCancel").click(function () {
                window.location.href = "/MaDesignation/Index";
            });
        });
    </script>
}

@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)


    
    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Edit Designation</h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index", "MaDesignation") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel"/>

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table>
                                <tr>
                                    <td>
                                        @Html.HiddenFor(model => model.Cdate)
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.Designation)</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>


                                    </td>
                                    <td>@Html.EditorFor(model => model.Designation)
                                        @Html.ValidationMessageFor(model => model.Designation)</td>
                                </tr>

@*                                <tr>
                                    <td>
                                        @Html.LabelFor(model => model.Status)

                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Status)
                                        @Html.ValidationMessageFor(model => model.Status)

                                    </td>
                                </tr>*@

                            </table>

                        </form>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>New Password</label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">Update</button>
                            </div>
                        </form>
                    </div>
                </div>

            </div>


            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>
            </footer>


        </div>
    </div>
    
    
}

Views/MaDesignation/Index.cshtml
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.MaDesignation>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script>
        deleterecord("MaDesignation");
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Designation List
    </h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.Designation)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Cdate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Status)
            </th>
        </tr>
    </thead>
    <tbody>
        @{int i = 0;
                      string bgcolor = "oddrow";
        }
        @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
            <tr class="@bgcolor">
                <td>
                    @Html.DisplayFor(modelItem => item.Designation)
            </td>
            <td>
                @{string cdate = String.Format("{0:dd MMM,yyyy}", item.Cdate);}
                @cdate
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status, new { @Styles = "width:50px" })
        </td>
        <td>
            @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
            @{
                               int roleid = StaticLogic.RoleId();
                               if (Permission.CheckPermission(roleid, SSCMvc.Models.CommonUtil.Branches, UserAction.Delete) == true)
                               {
                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaDesignation", new { id = item.Id }, new { @class = "delete-link" }, null)
                                }
            }
            @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
        </td>
    </tr>
                    }
    </tbody>
</table>
</div>
<div id="delete-dialog" title="Confirmation">
    <p>
        Are You Sure you want to delete this
    </p>
</div>
</div>
</div>